loadExp {arf3DS4} | R Documentation

## Load an arf3DS4 experiment

### Description

loadExp loads an arf3DS4 experiment.

### Usage

    loadExp(path = getwd(), method = c("fast", "set", "rda"))

### Arguments

`path` | Path to the experiment directory.
`method` | Which method is used for loading.

### Details

If `method='fast'` (default) experiment.Rda is loaded without checks directly. If `method='set'` the experiment is entirely build up by searching the directories of the experiment for subjects/conditions and models. Use this method if the experiment has changed (added subjects, moved to another directory etc.). If `method='rda'` the experiment is checked using the data in the experiment.Rda (except for the root-path). Use this method if the experiment has been moved (but the subjects/conditions have not changed). loadExp creates an object named `.experiment` in the `.arfInternal` environment, this is to facilitate calls to functions which have an 'experiment' object as input. All ARF functions get the `.experiment` object from `.arfInternal`.

### Value

Returns an object of class `experiment` invisibly.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`experiment`

[Package arf3DS4 version 2.5-10 Index]